## org.gjt.sp.jedit.syntax
Class TokenMarker.LineContext

    java.lang.Object
      org.gjt.sp.jedit.syntax.TokenMarker.LineContext

Enclosing class:
  TokenMarker

public static class TokenMarker.LineContext
extends java.lang.Object

Stores persistent per-line syntax parser state.

Field Summary
`ParserRule` `inRule`
`TokenMarker.LineContext` `parent`
`ParserRuleSet` `rules`
`char[]` `spanEndSubst`

Constructor Summary
`TokenMarker.LineContext()`
`TokenMarker.LineContext(ParserRuleSet rs, TokenMarker.LineContext lc)`

Method Summary
`java.lang.Object` `clone()`
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`
`TokenMarker.LineContext` `intern()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    public TokenMarker.LineContext parent

### inRule

    public ParserRule inRule

### rules

    public ParserRuleSet rules

### spanEndSubst

    public char[] spanEndSubst

Constructor Detail

### TokenMarker.LineContext

    public TokenMarker.LineContext(ParserRuleSet rs,
                                   TokenMarker.LineContext lc)

### TokenMarker.LineContext

    public TokenMarker.LineContext()

Method Detail

### intern

    public TokenMarker.LineContext intern()

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object obj)

### clone

    public java.lang.Object clone()